### Function

# GLib Hook find

#### Declaration

    GHook*
    g_hook_find (
      GHookList* hook_list,
      gboolean need_valids,
      GHookFindFunc func,
      gpointer data
    )

#### Description

Finds a `GHook` in a `GHookList` using the given function to test for a match.

This function is not directly available to language bindings.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`need_valids`

  Type: `gboolean`

  `TRUE` if `GHook` elements which have been destroyed should be skipped.

`func`

  Type: `GHookFindFunc`

  The function to call for each `GHook`, which should return `TRUE` when the `GHook` has been found.

`data`

  Type: `gpointer`

  The data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GHook`

The found `GHook` or `NULL` if no matching `GHook` is found.

The data is owned by the called function.